/* CCLFOLD.CMD: Sample code using REXXUTIL's SysCreateObject function        */
/* 5/22/95 - Initial Sample - Create a Folder and ICONs for CICS Client OS/2 */
/* Builds a folder on the DeskTop and places some program objects in it.     */
/* Load REXXUTIL */

call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/*The basic call is listed next.                                           */
/*rc=SysCreateObject(classname, title, location <,setup>, <,duplicateflag>)*/

call SysCls
Say ''
Say 'CCLFOLD will create a CICS Client for OS/2 Folder and ICONs.'
say 'Sample .ICO files must be available in the \BIN subdirectory of your'
say 'CICS Client for OS/2.  The supplied .ICO files will also be used from'
say 'this directory.  The name of the folder will be the same name as provided'
say 'by the installation of CICS Client for OS/2.  In addition, the CCLENV.CMD'
say 'file as well as this sample CCLFOLD.CMD file is not considered part'
say 'of CICS Client for OS/2.'
say

/* get input options and fold to uppercase                                 */
Arg options

If GetValue('CCLSET') = '' Then '@CALL CCLENV'  /* Set all of the values   */
ccldrv    = GetValue('CCLDRV')
cclhld    = GetValue('CCLHLD')
bootdrive = GetValue('BOOTDRIVE')
ccl       = ccldrv'\'cclhld

cclbin    = ccl'\BIN\'
cclutil   = ccl'\UTIL;'

where2=ccl
where1=cclbin
where =cclutil

/* All of the routines pass parameters to a subroutine to perform the call */
classname='WPFolder'
title    ='IBM CICS Client for OS/2 '
location ='<WP_DESKTOP>'
setup    ='OBJECTID=<CCLCLNT_'where2'>;ICONFILE='where1'CCLIFOLD.ICO;'
Call BldObj

Say 'Adding CICS Client related Objects to the 'ccl' folder...';Say '';


/* create the CICS Client for OS/2 System Object - CICSTERM  */

classname='WPProgram'
title    ='CICS Terminal'
location ='<CCLCLNT_'where2'>'
setup    ='OBJECTID=<CICSTERM_'ccl'>;'||,
          'EXENAME='where1'CICSTERM.EXE;'||,
          'PARAMETERS=/S;'||,
          'STARTUPDIR='where1';'||,
          'ICONFILE='where1'CICSTERM.ICO;'
Call BldObj

/* create the CICS Client for OS/2 System Object - CICSPRNT  */

classname='WPProgram'
title    ='CICS Printer'
location ='<CCLCLNT_'where2'>'
setup    ='OBJECTID=<CICSPRINT_'ccl'>;'||,
          'EXENAME='where1'CICSPRNT.EXE;'||,
          'PARAMETERS=/S /N=?;'||,
          'STARTUPDIR='where1';'||,
          'ICONFILE='where1'CICSPRNT.ICO;'
Call BldObj

/* create the CICS Client for OS/2 System Object - Client Start */

classname='WPProgram'
title    ='Start Client'
location ='<CCLCLNT_'where2'>'
setup    ='OBJECTID=<CICSCLI_S_'ccl'>;'||,
          'EXENAME='where1'CICSCLI.EXE;'||,
          'PARAMETERS=/S /W;'||,
          'STARTUPDIR='where1';'||,
          'ICONFILE='where1'CCLISTRT.ICO;'
Call BldObj

/* create the CICS Client for OS/2 System Object - Client Stop  */

classname='WPProgram'
title    ='Stop Client'
location ='<CCLCLNT_'where2'>'
setup    ='OBJECTID=<CICSCLI_X_'ccl'>;'||,
          'EXENAME='where1'CICSCLI.EXE;'||,
          'PARAMETERS=/X /W;'||,
          'STARTUPDIR='where1';'||,
          'ICONFILE='where1'CCLISTOP.ICO;'
Call BldObj

/* create the CICS Client for OS/2 System Object - Client Status */

classname='WPProgram'
title    ='Client Status'
location ='<CCLCLNT_'where2'>'
setup    ='OBJECTID=<CICSCLI_L_'ccl'>;'||,
          'EXENAME='where1'CICSCLI.EXE;'||,
          'PARAMETERS=/L /W;'||,
          'STARTUPDIR='where1';'||,
          'ICONFILE='where1'CCLISTAT.ICO;'
Call BldObj

/* create the CICS Client for OS/2 Documentation Objects */

classname='WPProgram'
title    ='Administration'
location ='<CCLCLNT_'where2'>'
setup    ='OBJECTID=<CCLAA_'ccl'>;'||,
          'EXENAME='bootdrive'\OS2\VIEW.EXE;'||,
          'PARAMETERS=CCLAA100.INF;'||,
          'STARTUPDIR='ccl'\BOOKS'
Call BldObj

classname='WPProgram'
title    ='Client/Server Programming'
location ='<CCLCLNT_'where2'>'
setup    ='OBJECTID=<DFHZP_'ccl'>;'||,
          'EXENAME='bootdrive'\OS2\VIEW.EXE;'||,
          'PARAMETERS=DFHZP800.INF;'||,
          'STARTUPDIR='ccl'\BOOKS'
Call BldObj

classname='WPProgram'
title    ='Messages'
location ='<CCLCLNT_'where2'>'
setup    ='OBJECTID=<CCLAG_'ccl'>;'||,
          'EXENAME='bootdrive'\OS2\VIEW.EXE;'||,
          'PARAMETERS=CCLAG400.INF;'||,
          'STARTUPDIR='ccl'\BOOKS'
Call BldObj


Say '';Say 'The' ccl 'Folder has been rebuilt'

Exit

/* Build Object */
BldObj:
call charout ,'Building: 'title

/* Build object using REPLACE as duplicateflag */
result = SysCreateObject(classname, title, location, setup, 'R')

If result=1 Then call charout ,'...   Object created!'
Else             call charout ,'...   Not created! Return code='result

Say '';
Return
/*---------------------------------------------------------------------*/
/* Obtain specified environment variable                               */
/*---------------------------------------------------------------------*/
GetValue: Procedure
  Arg EnvVal .
  res  = value(EnvVal,,'OS2ENVIRONMENT')
Return res
